Vector BLF: Vector::BLF::CanDriverStatistic Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::CanDriverStatistic Struct Referencefinal

CAN_STATISTIC. More...

`#include <CanDriverStatistic.h>`

Inheritance diagram for Vector::BLF::CanDriverStatistic:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint16_t | channel {}
| application channel
uint16_t | busLoad {}
| CAN bus load.
uint32_t | standardDataFrames {}
| standard CAN id data frames
uint32_t | extendedDataFrames {}
| extended CAN id data frames
uint32_t | standardRemoteFrames {}
| standard CAN id remote frames
uint32_t | extendedRemoteFrames {}
| extented CAN id remote frames
uint32_t | errorFrames {}
| CAN error frames.
uint32_t | overloadFrames {}
| CAN overload frames.
uint32_t | reservedCanDriverStatistic {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Detailed Description

CAN_STATISTIC.

CAN driver statistic data for a CAN channel.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::CanDriverStatistic::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::CanDriverStatistic::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::CanDriverStatistic::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ busLoad

uint16_t Vector::BLF::CanDriverStatistic::busLoad {}

CAN bus load.

Busload in 1/100 percent (e.g. 100 means 1%)

## ◆ channel

uint16_t Vector::BLF::CanDriverStatistic::channel {}

application channel

CAN channel the statistic data belongs to.

## ◆ errorFrames

uint32_t Vector::BLF::CanDriverStatistic::errorFrames {}

CAN error frames.

Number of error frams sent on that channel

## ◆ extendedDataFrames

uint32_t Vector::BLF::CanDriverStatistic::extendedDataFrames {}

extended CAN id data frames

Number of extended data frames sent on that channel.

## ◆ extendedRemoteFrames

uint32_t Vector::BLF::CanDriverStatistic::extendedRemoteFrames {}

extented CAN id remote frames

Number of extended remote data frames sent on that channel.

## ◆ overloadFrames

uint32_t Vector::BLF::CanDriverStatistic::overloadFrames {}

CAN overload frames.

Number of overload frams sent on that channel.

## ◆ reservedCanDriverStatistic

uint32_t Vector::BLF::CanDriverStatistic::reservedCanDriverStatistic {}

reserved

## ◆ standardDataFrames

uint32_t Vector::BLF::CanDriverStatistic::standardDataFrames {}

standard CAN id data frames

Number of standard data frames sent on that channel.

## ◆ standardRemoteFrames

uint32_t Vector::BLF::CanDriverStatistic::standardRemoteFrames {}

standard CAN id remote frames

Number of remote data frames sent on that channel.

The documentation for this struct was generated from the following files:

- CanDriverStatistic.h
- CanDriverStatistic.cpp